For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • GETReturns all task views that the current user subscribed to.
      • POSTCreates a new task view and directly subscribes the current user to it.
      • POSTSubscribes the current user to a shared task view.
      • POSTRemoves a subscription of the current user from a shared task view.
      • GETReturns the specified task view of the current user.
      • PUTUpdates the specified task view of the current user.
      • DELDeletes the specified task view.
      • GETReturns all tasks matching the filter of the specified task view.
      • GETReturns all shared task views.
      • GETReturns the specified shared task view.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Views

Subscribes the current user to a shared task view.

POST
https://api.awork.com/api/v1/me/taskviews/subscribe
POST
/api/v1/me/taskviews/subscribe
$curl -X POST https://api.awork.com/api/v1/me/taskviews/subscribe \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "taskViewId": "9f8b7c6d-1234-4a56-b789-0cdef1234567"
>}'
1{}
After subscribing, the user can retrieve the tasks matching the view from `/me/taskViews/:taskViewId/tasks`. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Removes a subscription of the current user from a shared task view.

Next
Built with

After subscribing, the user can retrieve the tasks matching the view from /me/taskViews/:taskViewId/tasks.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

The model to subscribe to the task view.
taskViewIdstringOptionalformat: "uuid"
The id of the task view the user subscribes to.

Response

No Content

Errors

400
Bad Request Error
404
Not Found Error